/*
Kill Tracker; Developed by Anomaly- Intended for Stand-Alone use, or use with my Permanent Death System.
Ideal for PvP Servers.
You can contact me at http://www.Ultimate-Coders.com
*/
using System;
using System.Text;
using System.Collections;
using Server;
using Server.Mobiles;
using Server.Network;
using Server.Commands;

namespace Server.Commands
{
public class KillsCommand
{
public static void Initialize()
{
CommandSystem.Register("Kills", AccessLevel.Player, new CommandEventHandler(Kills_OnCommand));
}
public static void Kills_OnCommand(CommandEventArgs e)
{
Mobile user = e.Mobile;
if ( user == null)
{
Console.WriteLine("Invalid Command User, mobile was null");
return;
}
if (user is PlayerMobile && user.Kills == 0)
{
user.SendMessage ( "You have no kills..." );
}
else if (user is PlayerMobile && user.Kills <= 1)
{
user.SendMessage ( "Your Head-Count is: {0} Hardly impressive, get moving!", user.Kills );
}
else if (user is PlayerMobile && user.Kills <= 10)
{
user.SendMessage ( "Your Head-Count is: {0}", user.Kills);
user.FixedParticles( 0x3709, 10, 30, 5052, EffectLayer.Waist );
user.PlaySound( 0x208 );
}
else if (user is PlayerMobile && user.Kills <= 25)
{
user.SendMessage ( "Your Head-Count is: {0}", user.Kills);
user.FixedParticles( 0x376A, 1, 14, 0x13B5, EffectLayer.Waist );
				user.PlaySound( 0x511 );
}
else if (user is PlayerMobile && user.Kills <= 50)
{
user.SendMessage ( "Your Head-Count is: {0}! The streets are running red with blood!", user.Kills);
user.Title = "Murderous Marauder";
					user.PlaySound( 0x1FB );
					user.FixedParticles(0x37CC, 10, 40, 9917, EffectLayer.Waist );
}
else if (user is PlayerMobile && user.Kills <= 100)
{
user.SendMessage ( "Your Head-Count is: {0}! All hail the Bane of Existance!", user.Kills);
user.Title = "The Bane of Existance";

}
}
}
}